Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.olap
Class JRMondrianQueryExecuterFactory

    java.lang.Object
      net.sf.jasperreports.olap.JRMondrianQueryExecuterFactory

All Implemented Interfaces:
  JRQueryExecuterFactory

    public class JRMondrianQueryExecuterFactory

extends java.lang.Object
implements JRQueryExecuterFactory

Version:
  $Id: JRMondrianQueryExecuterFactory.java 3778 2010-05-03 16:17:18Z lucianc $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`static java.lang.String` | `PARAMETER_MONDRIAN_CONNECTION` Built-in parameter holding the value of the Mondrian connection to be used for creating the query.

Fields inherited from interface net.sf.jasperreports.engine.query.JRQueryExecuterFactory
`QUERY_EXECUTER_FACTORY_PREFIX`

Constructor Summary
`JRMondrianQueryExecuterFactory()`

Method Summary
`JRQueryExecuter` | `createQueryExecuter(JRDataset dataset, java.util.Map parameters)` Creates a query executer.
`java.lang.Object[]` | `getBuiltinParameters()` Returns the built-in parameters associated with this query type.
`boolean` | `supportsQueryParameterType(java.lang.String className)` Decides whether the query executers created by this factory support a query parameter type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARAMETER_MONDRIAN_CONNECTION

    public static final java.lang.String PARAMETER_MONDRIAN_CONNECTION

  Built-in parameter holding the value of the Mondrian connection to be used for creating the query.

  See Also:
    Constant Field Values

Constructor Detail

### JRMondrianQueryExecuterFactory

    public JRMondrianQueryExecuterFactory()

Method Detail

### getBuiltinParameters

    public java.lang.Object[] getBuiltinParameters()

  Description copied from interface: `JRQueryExecuterFactory`
  Returns the built-in parameters associated with this query type.

  These parameters will be created as system-defined parameters for each report/dataset having a query of this type.

  The returned array should contain consecutive pairs of parameter names and parameter classes (e.g. `{"Param1", String.class, "Param2", "List.class"}`).

  Specified by:
    `getBuiltinParameters` in interface `JRQueryExecuterFactory`
  Returns:
    array of built-in parameter names and types associated with this query type

### createQueryExecuter

    public JRQueryExecuter createQueryExecuter(JRDataset dataset,
                                               java.util.Map parameters)
                                        throws JRException

  Description copied from interface: `JRQueryExecuterFactory`
  Creates a query executer.

  This method is called at fill time for reports/datasets having a query supported by this factory.

  Specified by:
    `createQueryExecuter` in interface `JRQueryExecuterFactory`
  Parameters:
    `dataset` - the dataset containing the query, fields, etc
    `parameters` - map of value parameters (instances of `JRValueParameter`) indexed by name
  Returns:
    a query executer
  Throws:
    `JRException`

### supportsQueryParameterType

    public boolean supportsQueryParameterType(java.lang.String className)

  Description copied from interface: `JRQueryExecuterFactory`
  Decides whether the query executers created by this factory support a query parameter type.

  This check is performed for all $P{..} parameters in the query.

  Specified by:
    `supportsQueryParameterType` in interface `JRQueryExecuterFactory`
  Parameters:
    `className` - the value class name of the parameter
  Returns:
    whether the parameter value type is supported

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com